'use strict';

var React = require('react');
var classnames = require('classnames');

var styles = {"spinner":"_6hfmGZoXNyg-","animationSpin":"aT3CETCJ4hQ-","small":"bMfynkzmlL4-","inline":"NA68eWblbLo-","spinning":"aCBq1WrkI4M-"};

function Spinner({ size = "base", inline }) {
    const spinnerStyles = classnames(styles.spinner, {
        [styles.small]: size === "small",
        [styles.inline]: inline,
    });
    return (React.createElement("div", { className: spinnerStyles, role: "alert", "aria-busy": true, "aria-label": "loading" }));
}

exports.Spinner = Spinner;
